## com.arsdigita.cms.docmgr.ui
Class SearchList

    java.lang.Object
      com.arsdigita.bebop.Completable
          com.arsdigita.bebop.SimpleComponent
              com.arsdigita.bebop.List
                  com.arsdigita.cms.docmgr.ui.SearchList

All Implemented Interfaces:
  com.arsdigita.bebop.util.BebopConstants, Cloneable, com.arsdigita.bebop.Component, com.arsdigita.util.Lockable

public class SearchList
extends com.arsdigita.bebop.List

Nested Class Summary
`static class` `SearchList.SearchResultDisplay` A component that displays a simple search result
`static class` `SearchList.SearchResultRenderer`

Field Summary

Fields inherited from class com.arsdigita.bebop.List
`EMPTY_MODEL, HORIZONTAL, SELECT_EVENT, SELECTED, versionId, VERTICAL`

Fields inherited from class com.arsdigita.bebop.SimpleComponent
`m_attr`

Fields inherited from interface com.arsdigita.bebop.util.BebopConstants

`BEBOP_BORDER, BEBOP_BOXPANEL, BEBOP_CELL, BEBOP_CHECKBOX, BEBOP_CHECKBOXGROUP, BEBOP_COLUMNPANEL, BEBOP_DATE, BEBOP_DATETIME, BEBOP_DHTMLEDITOR, BEBOP_FORMERRORS, BEBOP_FORMWIDGET, BEBOP_GRIDPANEL, BEBOP_LIST, BEBOP_MULTISELECT, BEBOP_OPTION, BEBOP_PAD, BEBOP_PADFRAME, BEBOP_PANELROW, BEBOP_PORTAL, BEBOP_PORTLET, BEBOP_RADIO, BEBOP_RADIOGROUP, BEBOP_SEG_BODY, BEBOP_SEG_HEADER, BEBOP_SEG_PANEL, BEBOP_SEGMENT, BEBOP_SELECT, BEBOP_TABLE, BEBOP_TABLEBODY, BEBOP_TABLEROW, BEBOP_TEXTAREA`

Fields inherited from interface com.arsdigita.bebop.Component
`BEBOP_XML_NS, CLASS, ID, ON_CLICK, STYLE`

Constructor Summary
`SearchList(com.arsdigita.bebop.list.ListModelBuilder model)`

Methods inherited from class com.arsdigita.bebop.List

`addActionListener, addChangeListener, clearSelection, createChangeListener, fireActionEvent, fireStateChanged, generateXML, getCellRenderer, getEmptyView, getLayout, getModel, getModelBuilder, getSelectedKey, getSelectionModel, getStateParamsAreRegistered, isSelected, register, removeActionListener, removeChangeListener, respond, setCellRenderer, setEmptyView, setLayout, setListData, setListData, setModelBuilder, setSelectedKey, setSelectionModel, setStateParamsAreRegistered`

Methods inherited from class com.arsdigita.bebop.SimpleComponent
`children, clone, exportAttributes, getAttribute, getClassAttr, getIdAttr, getKey, getMetaDataAttribute, getStyleAttr, hasAttributes, isLocked, isVisible, lock, register, setAttribute, setClassAttr, setIdAttr, setKey, setMetaDataAttribute, setStyleAttr, setVisible`

Methods inherited from class com.arsdigita.bebop.Completable
`addCompletionListener, fireCompletionEvent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchList

    public SearchList(com.arsdigita.bebop.list.ListModelBuilder model)

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC